<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SXSSFDrawing (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SXSSFDrawing (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SXSSFDrawing.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFCreationHelper.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/streaming/SXSSFDrawing.html" target="_top">Frames</a>
        </li>
        <li><a href="SXSSFDrawing.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.streaming</div>
    <h2 title="Class SXSSFDrawing" class="title">Class SXSSFDrawing</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.streaming.SXSSFDrawing</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                 title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                            title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.ss.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">SXSSFDrawing</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
              title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</pre>
                <div class="block">Streaming version of Drawing.
                    Delegates most tasks to the non-streaming XSSF code.
                    TODO: Potentially, Comment and Chart need a similar streaming wrapper like Picture.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#SXSSFDrawing-org.apache.poi.xssf.streaming.SXSSFWorkbook-org.apache.poi.xssf.usermodel.XSSFDrawing-">SXSSFDrawing</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.streaming">SXSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                       title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#createAnchor-int-int-int-int-int-int-int-int-">createAnchor</a></span>(int&nbsp;dx1,
                                    int&nbsp;dy1,
                                    int&nbsp;dx2,
                                    int&nbsp;dy2,
                                    int&nbsp;col1,
                                    int&nbsp;row1,
                                    int&nbsp;col2,
                                    int&nbsp;row2)</code>
                                    <div class="block">Creates a new client anchor and sets the top-left and
                                        bottom-right
                                        coordinates of the anchor.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                        title="interface in org.apache.poi.ss.usermodel">Comment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">createCellComment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a comment.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                        title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">createObjectData</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                    int&nbsp;storageId,
                                    int&nbsp;pictureIndex)</code>
                                    <div class="block">Adds a new OLE Package Shape</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFPicture.html"
                                        title="class in org.apache.poi.xssf.streaming">SXSSFPicture</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">createPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                    int&nbsp;pictureIndex)</code>
                                    <div class="block">Creates a picture.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SXSSFDrawing-org.apache.poi.xssf.streaming.SXSSFWorkbook-org.apache.poi.xssf.usermodel.XSSFDrawing-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SXSSFDrawing</h4>
                                <pre>public&nbsp;SXSSFDrawing(<a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.streaming">SXSSFWorkbook</a>&nbsp;workbook,
                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                       title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPicture</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFPicture.html"
                                        title="class in org.apache.poi.xssf.streaming">SXSSFPicture</a>&nbsp;createPicture(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                  int&nbsp;pictureIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">Drawing</a></code></span>
                                </div>
                                <div class="block">Creates a picture.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">createPicture</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                                title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this picture is
                                        attached to the sheet.
                                    </dd>
                                    <dd><code>pictureIndex</code> - the index of the picture in the workbook collection
                                        of pictures.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created picture.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCellComment</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Comment</a>&nbsp;createCellComment(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">Drawing</a></code></span>
                                </div>
                                <div class="block">Creates a comment.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">createCellComment</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                                title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this comment is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created comment.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createAnchor-int-int-int-int-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createAnchor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;createAnchor(int&nbsp;dx1,
                                 int&nbsp;dy1,
                                 int&nbsp;dx2,
                                 int&nbsp;dy2,
                                 int&nbsp;col1,
                                 int&nbsp;row1,
                                 int&nbsp;col2,
                                 int&nbsp;row2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createAnchor-int-int-int-int-int-int-int-int-">Drawing</a></code></span>
                                </div>
                                <div class="block">Creates a new client anchor and sets the top-left and bottom-right
                                    coordinates of the anchor.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createAnchor-int-int-int-int-int-int-int-int-">createAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                                title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dx1</code> - the x coordinate in EMU within the first cell.</dd>
                                    <dd><code>dy1</code> - the y coordinate in EMU within the first cell.</dd>
                                    <dd><code>dx2</code> - the x coordinate in EMU within the second cell.</dd>
                                    <dd><code>dy2</code> - the y coordinate in EMU within the second cell.</dd>
                                    <dd><code>col1</code> - the column (0 based) of the first cell.</dd>
                                    <dd><code>row1</code> - the row (0 based) of the first cell.</dd>
                                    <dd><code>col2</code> - the column (0 based) of the second cell.</dd>
                                    <dd><code>row2</code> - the row (0 based) of the second cell.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created client anchor</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createObjectData</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                                    title="interface in org.apache.poi.ss.usermodel">ObjectData</a>&nbsp;createObjectData(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                   int&nbsp;storageId,
                                   int&nbsp;pictureIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">Drawing</a></code></span>
                                </div>
                                <div class="block">Adds a new OLE Package Shape</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">createObjectData</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                                title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this picture is
                                        attached to the sheet.
                                    </dd>
                                    <dd><code>storageId</code> - the storageId returned by <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Workbook.html#addOlePackage-byte:A-java.lang.String-java.lang.String-java.lang.String-"><code>Workbook.addOlePackage(byte[],
                                        String, String, String)</code></a></dd>
                                    <dd><code>pictureIndex</code> - the index of the picture (used as preview image) in
                                        the
                                        workbook collection of pictures.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>newly created shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SXSSFDrawing.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFCreationHelper.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/streaming/SXSSFDrawing.html" target="_top">Frames</a>
        </li>
        <li><a href="SXSSFDrawing.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
